Bug 218135 - hsqldb won't start
hsqldb won't start
Product: Fedora
Classification: Fedora
Component: hsqldb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Depends On:
  Show dependency treegraph
Reported: 2006-12-01 17:37 EST by Roy A. Gilmore
Modified: 2008-04-14 15:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-14 15:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roy A. Gilmore 2006-12-01 17:37:14 EST
Description of problem:
hsqldb won't start

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1./sbin/service hsqldb start
Actual results:
Required file is gone:  /var/run/hsqldb.pid
Failed to start org.hsqldb.Server.
See log file '/var/log/hsqldb.log'.

cat /var/log/hsqldb.log
This account is currently not available.

Expected results:
Success for instance 'db0-url'
org.hsqldb.Server started with pid XXXX

Additional info:
Running the following command:
rpm -q --scripts hsqldb

Produces the these results:
preinstall scriptlet (using /bin/sh):
# Add the "hsqldb" user and group
# we need a shell to be able to use su - later
/usr/sbin/groupadd -g 96 -f -r hsqldb 2> /dev/null || :
/usr/sbin/useradd -u 96 -g hsqldb -s /sbin/nologin \
    -d /var/lib/hsqldb -r hsqldb 2> /dev/null || :
--->8 SNIP 8<---

Notice the comment "# we need a shell to be able to use su - later".

/etc/rc.d/init.d/hsqldb partial contents:
--->8 SNIP 8<---
            # Some OSes choke if there are newlines in this string.
            # N.b.!!!  The shell of the -c command is the target user's default
            # login shell, so keep this command shell-independent!
            nohup su "$HSQLDB_OWNER" -c "cd '$SERVER_HOME' && echo "'$$'" >
'${SERVER_ADDL_CLASSPATH}${HSQLDB_JAR_PATH}' org.hsqldb.util.MainInvoker
org.hsqldb.$TARGET_CLASS $INVOC_ADDL_ARGS" >> "$LOGFILE" 2>&1 &
--->8 SNIP 8<---

/etc/rc.d/init.d/hsqldb is trying to "su" to an account with /sbin/nologin as
the "target user's default login shell".

Possible workaround:
/usr/sbin/usermod -s /bin/sh hsqldb
Comment 1 Fedora Update System 2007-10-17 22:31:10 EDT
hsqldb- has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hsqldb'
Comment 2 Bug Zapper 2008-04-04 01:03:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.